Bug 228281 - Update new JSF XHTML page and composite component templates to use EE7 namespace
Update new JSF XHTML page and composite component templates to use EE7 namespace
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: JSF
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-05 12:33 UTC by Vladimir Riha
Modified: 2013-04-25 18:24 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-04-05 12:33:49 UTC
Default template for JSF XHTML page contains

xmlns:h="http://java.sun.com/jsf/html"

which should be updated to 

xmlns:h="http://xmlns.jcp.org/jsf/html"




Product Version: NetBeans IDE Dev (Build web-main-javaee7-207-on-20130405)
Updates: Updates available
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Vladimir Riha 2013-04-05 13:20:33 UTC
...the same goes with Composite Component template and <cc:> namespace
Comment 2 Vladimir Riha 2013-04-05 13:57:48 UTC
and Facelets templates and JSF page from Entity Class :)
Comment 3 Vladimir Riha 2013-04-08 05:55:32 UTC
If possible, patch candidate but it is not that critical to have
Comment 4 Vladimir Riha 2013-04-16 09:02:27 UTC
Martine, is this fixed? I saw that e.g. new page has a new template
Comment 5 Martin Fousek 2013-04-16 09:07:44 UTC
Yeah, it is and I'm really surprised why I didn't close the issue. :) Thanks a lot for asking!

web-main #59bec6b5e175
Comment 6 Vladimir Riha 2013-04-16 14:44:10 UTC
I wasn't sure if you're planning something more ;)
Comment 7 Vladimir Riha 2013-04-16 14:44:59 UTC
Verified in 7.3.1, so changing SW to verified


Product Version: NetBeans IDE 7.3.1 (Build 201304152201)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo